package com.tencent.mm.plugin.talkroom.component;

import android.os.IBinder;
import android.os.Parcel;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.talkroom.component.e.a;

class a$a$a implements a {
    private IBinder mRemote;

    a$a$a(IBinder iBinder) {
        this.mRemote = iBinder;
    }

    public final IBinder asBinder() {
        return this.mRemote;
    }

    public final int cEb() {
        AppMethodBeat.i(25692);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.talkroom.component.IEngine_AIDL");
            this.mRemote.transact(1, obtain, obtain2, 0);
            obtain2.readException();
            int readInt = obtain2.readInt();
            return readInt;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(25692);
        }
    }

    public final int uninitLive() {
        AppMethodBeat.i(25693);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.talkroom.component.IEngine_AIDL");
            this.mRemote.transact(2, obtain, obtain2, 0);
            obtain2.readException();
            int readInt = obtain2.readInt();
            return readInt;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(25693);
        }
    }

    public final int a(b bVar, int i, int i2, int i3, long j, int[] iArr, int[] iArr2, int i4) {
        AppMethodBeat.i(25694);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.talkroom.component.IEngine_AIDL");
            obtain.writeStrongBinder(bVar != null ? bVar.asBinder() : null);
            obtain.writeInt(i);
            obtain.writeInt(i2);
            obtain.writeInt(i3);
            obtain.writeLong(j);
            obtain.writeIntArray(iArr);
            obtain.writeIntArray(iArr2);
            obtain.writeInt(i4);
            this.mRemote.transact(3, obtain, obtain2, 0);
            obtain2.readException();
            int readInt = obtain2.readInt();
            return readInt;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(25694);
        }
    }

    public final int SetCurrentMicId(int i) {
        AppMethodBeat.i(25695);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.talkroom.component.IEngine_AIDL");
            obtain.writeInt(i);
            this.mRemote.transact(4, obtain, obtain2, 0);
            obtain2.readException();
            int readInt = obtain2.readInt();
            return readInt;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(25695);
        }
    }

    public final int Close() {
        AppMethodBeat.i(25696);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.talkroom.component.IEngine_AIDL");
            this.mRemote.transact(5, obtain, obtain2, 0);
            obtain2.readException();
            int readInt = obtain2.readInt();
            return readInt;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(25696);
        }
    }

    public final byte[] e(int[] iArr, String str) {
        AppMethodBeat.i(25697);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.talkroom.component.IEngine_AIDL");
            if (iArr == null) {
                obtain.writeInt(-1);
            } else {
                obtain.writeInt(iArr.length);
            }
            obtain.writeString(str);
            this.mRemote.transact(6, obtain, obtain2, 0);
            obtain2.readException();
            byte[] createByteArray = obtain2.createByteArray();
            obtain2.readIntArray(iArr);
            return createByteArray;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(25697);
        }
    }

    public final e a(c cVar) {
        AppMethodBeat.i(25698);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.talkroom.component.IEngine_AIDL");
            obtain.writeStrongBinder(cVar != null ? cVar.asBinder() : null);
            this.mRemote.transact(7, obtain, obtain2, 0);
            obtain2.readException();
            e E = a.E(obtain2.readStrongBinder());
            return E;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(25698);
        }
    }

    public final d cEc() {
        AppMethodBeat.i(25699);
        Parcel obtain = Parcel.obtain();
        Parcel obtain2 = Parcel.obtain();
        try {
            obtain.writeInterfaceToken("com.tencent.mm.plugin.talkroom.component.IEngine_AIDL");
            this.mRemote.transact(8, obtain, obtain2, 0);
            obtain2.readException();
            d D = d.a.D(obtain2.readStrongBinder());
            return D;
        } finally {
            obtain2.recycle();
            obtain.recycle();
            AppMethodBeat.o(25699);
        }
    }
}
